# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  chart.exe ps.o ratnest.o

#include Makefile-include.txt

.PHONY: test
test: chart.exe
	./chart.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump chart

chart.o: chart.c ../../src/V/Vlibmath.h ../../src/dis/dis/earth.h ../../src/util/error.h ../../src/util/units.h ../../src/util/zulu.h ../../src/wmm/wmm.h ps.h ratnest.h
	$(CC) $(CFLAGS) -c chart.c -o chart.o

chart.exe: ../../src/V/Vlibmath.o ../../src/dis/dis/earth.o ../../src/util/error.o ../../src/util/memory.o ../../src/util/units.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o chart.o ps.o ratnest.o
	$(CC) $(CFLAGS) -o chart.exe  ../../src/V/Vlibmath.o ../../src/dis/dis/earth.o ../../src/util/error.o ../../src/util/memory.o ../../src/util/units.o ../../src/util/zulu.o ../../src/wmm/Geomagnetism.o ../../src/wmm/wmm.o chart.o ps.o ratnest.o $(LIBS) -lm 

ps.o: ps.c ps.h ../../src/util/error.h ../../src/util/memory.h
	$(CC) $(CFLAGS) -c ps.c -o ps.o

ratnest.o: ratnest.c ratnest.h ../../src/util/error.h ../../src/util/memory.h
	$(CC) $(CFLAGS) -c ratnest.c -o ratnest.o

# Checksum of the original file: 1006174725
